#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib
  ${CMAKE_SOURCE_DIR}/quanta/src
  ${CMAKE_SOURCE_DIR}/quanta/project
  ${CMAKE_SOURCE_DIR}/quanta/parsers
  ${CMAKE_SOURCE_DIR}/quanta/utility
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### messages (static) #########################

tde_add_library( messages STATIC_PIC AUTOMOC
  SOURCES
    messageoutput.cpp messageitem.cpp annotationoutput.cpp
)
